###########################################################################
#
#   mameui.mak
#
#   Core makefile for building mameui
#
###########################################################################

#-------------------------------------------------
# specify OSD layer: windows, sdl, etc.
#-------------------------------------------------

OSD = winui



#-------------------------------------------------
# specify OS target, which further differentiates
# the underlying OS; supported values are:
# win32, unix, macosx, os2
#-------------------------------------------------

TARGETOS = win32


#-------------------------------------------------
# include the main mame makefile
#-------------------------------------------------

include makefile



#-------------------------------------------------
# executable targets and dependencies
#-------------------------------------------------

$(EMULATOR): $(VERSIONOBJ) $(DRVLIBS) $(EMUMAIN) $(LIBOSD) $(LIBEMU) $(LIBCPU) $(LIBSOUND) $(LIBUTIL) $(EXPAT) $(ZLIB) $(LIBOCORE) $(RESFILE)
# always recompile the version string
	$(CC) $(CDEFS) $(CFLAGS) -c $(SRC)/version.c -o $(VERSIONOBJ)
	@echo Linking $@...
	$(LD) $(LDFLAGS) $(LDFLAGSEMULATOR) $^ $(LIBS) -o $@

	
